org.apache.hc.client5.http.impl.io

## Class ManagedHttpClientConnectionFactory.Builder

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.ManagedHttpClientConnectionFactory.Builder

- Enclosing class:
    ManagedHttpClientConnectionFactory

      public static final class ManagedHttpClientConnectionFactory.Builder
      extends Object

  Builder for `ManagedHttpClientConnectionFactory`.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedHttpClientConnectionFactory` | `build()`
    `ManagedHttpClientConnectionFactory.Builder` | `charCodingConfig(CharCodingConfig charCodingConfig)`
    `ManagedHttpClientConnectionFactory.Builder` | `http1Config(Http1Config http1Config)`
    `ManagedHttpClientConnectionFactory.Builder` | `incomingContentLengthStrategy(ContentLengthStrategy incomingContentLengthStrategy)`
    `ManagedHttpClientConnectionFactory.Builder` | `outgoingContentLengthStrategy(ContentLengthStrategy outgoingContentLengthStrategy)`
    `ManagedHttpClientConnectionFactory.Builder` | `requestWriterFactory(HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory)`
    `ManagedHttpClientConnectionFactory.Builder` | `responseOutOfOrderStrategy(ResponseOutOfOrderStrategy responseOutOfOrderStrategy)`
    `ManagedHttpClientConnectionFactory.Builder` | `responseParserFactory(HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### http1Config

          public ManagedHttpClientConnectionFactory.Builder http1Config(Http1Config http1Config)

    - #### charCodingConfig

          public ManagedHttpClientConnectionFactory.Builder charCodingConfig(CharCodingConfig charCodingConfig)

    - #### incomingContentLengthStrategy

          public ManagedHttpClientConnectionFactory.Builder incomingContentLengthStrategy(ContentLengthStrategy incomingContentLengthStrategy)

    - #### outgoingContentLengthStrategy

          public ManagedHttpClientConnectionFactory.Builder outgoingContentLengthStrategy(ContentLengthStrategy outgoingContentLengthStrategy)

    - #### responseOutOfOrderStrategy

          public ManagedHttpClientConnectionFactory.Builder responseOutOfOrderStrategy(ResponseOutOfOrderStrategy responseOutOfOrderStrategy)

    - #### requestWriterFactory

          public ManagedHttpClientConnectionFactory.Builder requestWriterFactory(HttpMessageWriterFactory<ClassicHttpRequest> requestWriterFactory)

    - #### responseParserFactory

          public ManagedHttpClientConnectionFactory.Builder responseParserFactory(HttpMessageParserFactory<ClassicHttpResponse> responseParserFactory)

    - #### build

          public ManagedHttpClientConnectionFactory build()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.